aboutsummaryrefslogtreecommitdiffstats
path: root/main/unbound/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-12-02 15:01:25 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-12-02 15:01:25 +0000
commit47bb2a62b5d584ca4a2e7228aa72a58fe1919f15 (patch)
treee935195fd0f5041a7ddc3a584f634ac56def3ff0 /main/unbound/APKBUILD
parent6554dce65a5d32c68a77484323c0450df8a613a0 (diff)
downloadaports-47bb2a62b5d584ca4a2e7228aa72a58fe1919f15.tar.gz
aports-47bb2a62b5d584ca4a2e7228aa72a58fe1919f15.tar.bz2
aports-47bb2a62b5d584ca4a2e7228aa72a58fe1919f15.tar.xz
main/unbound: update root.hints by default
ref #848
Diffstat (limited to 'main/unbound/APKBUILD')
-rw-r--r--main/unbound/APKBUILD16
1 files changed, 12 insertions, 4 deletions
diff --git a/main/unbound/APKBUILD b/main/unbound/APKBUILD
index a539f83a26..26af1d8c0a 100644
--- a/main/unbound/APKBUILD
+++ b/main/unbound/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=unbound
pkgver=1.4.13
-pkgrel=2
+pkgrel=3
pkgdesc="Unbound is a validating, recursive, and caching DNS resolver"
pkgusers="unbound"
pkggroups="unbound"
@@ -15,7 +15,9 @@ makedepends="$depends_dev python-dev swig"
install="$pkgname.pre-install"
subpackages="$pkgname-dev $pkgname-doc $pkgname-libs py-unbound:py"
source="http://unbound.net/downloads/unbound-$pkgver.tar.gz
- unbound-1.4.12-gentoo.patch
+ conf.patch
+ update-unbound-root-hints
+ root.hints
unbound.initd"
_builddir="$srcdir"/unbound-$pkgver
@@ -61,7 +63,11 @@ package() {
|| return 1
install -m755 -D "$srcdir"/unbound.initd \
"$pkgdir"/etc/init.d/unbound || return 1
- install -d -o unbound -g unbound "$pkgdir"/var/run/unbound
+ install -d -o unbound -g unbound "$pkgdir"/var/run/unbound || return 1
+ install -m644 "$srcdir"/root.hints "$pkgdir"/etc/unbound/ || return 1
+ install -Dm755 "$srcdir"/update-unbound-root-hints \
+ "$pkgdir"/etc/periodic/monthly/update-unbound-root-hints \
+ || return 1
}
libs() {
@@ -77,5 +83,7 @@ py() {
}
md5sums="7e3b27dee2b97640dd2e1783253317ab unbound-1.4.13.tar.gz
-a6d84d596e40da79fcd52529b7fb5046 unbound-1.4.12-gentoo.patch
+32fe2914a2723142d3eae9ea556872d3 conf.patch
+c1c71cd0e7f9630536a2abf2513c675d update-unbound-root-hints
+d7a1cb305b7b5b72df4e574777f76723 root.hints
ebf2b5f8e1be2c4dbec9c5fad1e0e0de unbound.initd"